// This work is licensed under the Creative Commons Attribution-ShareAlike 4.0
// International Public License.
// Visit https://creativecommons.org/licenses/by-sa/4.0/

// There is a header included before this file during each frame set up.

// #global_settings { assumed_gamma 1 }     // This properly sees leading # as an error
// #default { finish {ambient 0} }          // This properly sees leading # as an error
  global_settings { assumed_gamma 1 }  // Clean definition, but if we don't have these and have one in include get false leading # err
  default { finish {ambient 0} }       // Clean definition, but if we don't have these and have one in include get false leading # err

#declare Grey50 = srgb <0.5,0.5,0.5>;
background { color Grey50 }
#declare Camera00 = camera {
    perspective
    location <3,3,-3.001>
    sky y
    angle 35
    right x*(image_width/image_height)
    look_at <0,0,0>
}
#declare VarOrthoMult = 2.0/max(image_width/image_height,image_height/image_width);
#declare Camera01z = camera {
    orthographic
    location <0,0,-2>
    direction z
    right VarOrthoMult*x*max(1,image_width/image_height)
    up VarOrthoMult*y*max(1,image_height/image_width)
}
#declare Camera01y = camera {
    orthographic
    location <0,2,0>
    direction -y
    right VarOrthoMult*x*max(1,image_width/image_height)
    up VarOrthoMult*z*max(1,image_height/image_width)
}
#declare Camera01x = camera {
    orthographic
    location <2,0,0>
    direction -x
    right VarOrthoMult*z*max(1,image_width/image_height)
    up VarOrthoMult*y*max(1,image_height/image_width)
}
#declare White = srgb <1,1,1>;
#declare Light00 = light_source { <50,150,-250>, White }
#declare Red = srgb <1,0,0>;
#declare CylinderX = cylinder { -1*x, 1*x, 0.01 pigment { Red } }
#declare Green = srgb <0,1,0>;
#declare CylinderY = cylinder { -1*y, 1*y, 0.01 pigment { Green } }
#declare Blue = srgb <0,0,1>;
#declare CylinderZ = cylinder { -1*z, 1*z, 0.01 pigment { Blue } }
#declare Yellow = srgb <1,1,0>;
#declare U00 = union {
    sphere { 1*x, 0.04 pigment { Yellow } }
    sphere { 1*y, 0.04 pigment { Yellow } }
    sphere { 1*z, 0.04 pigment { Yellow } }
}

//--- scene ---
    #declare Istop = 3;
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*0) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*1) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*2) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*3) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*4) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*5) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*6) }
    #end
    #for (I,0,Istop,1)
        camera { Camera00 rotate y*(45*7) }
    #end
    light_source { Light00 }
//  camera { Camera01x }
//  camera { Camera01y }
//  camera { Camera01z }
    object { CylinderX }
    object { CylinderY }
    object { CylinderZ }
    object { U00 }
    object { Iso99 pigment { Green} }


// SPDX-License-Identifier: CC-BY-SA-4.0
